# List all records Endpoint: GET /v2/merchants Version: 1.0 Security: bearerAuth ## Query parameters: - `filter` (string) filter[NAME]=value(s) - `fields` (string) sparse fieldsets: fields[TYPE]=field1,field2,... - `include` (string) list of included related resources - `sort` (string) fields to sort by - `page[size]` (integer) size of page for paginated results - `page[number]` (integer) page number of results - `page[limit]` (integer) limit for this page of paginated results - `page[offset]` (integer) collection items offset for paginated results ## Header parameters: - `User-Agent` (string, required) The name and version of the client making the request Example: "CHOAM EPT Client v10191 (Ruby Client v3)" ## Response 200 fields (application/vnd.api+json): - `data` (array) Example: [{"attributes":{"created_at":"2024-06-06T21:48:33.382755Z","updated_at":"2024-06-06T21:48:33.382755Z"},"id":"4bb7ca0e-af43-4d1b-868e-197f2a94cac0","links":{},"relationships":{},"type":"merchants"}] - `data.attributes` (object) Members of the attributes object (attributes) represent information about the resource object in which it's defined. - `data.attributes.account_status` (string) The status of the merchant account Enum: "incomplete", "pending", "manual_review", "active", "quarantined", "banned", "abandoned", "archived", "spam" - `data.attributes.active_at` (string) - `data.attributes.business_description` (string) The business description - `data.attributes.business_email` (string) The business email address - `data.attributes.business_name` (string) The legal name of the business - `data.attributes.business_privacy_policy_url` (string) The URL to the business' privacy policy - `data.attributes.business_support_email` (string) The business support email - `data.attributes.business_support_url` (string) The business support URL - `data.attributes.business_terms_url` (string) Terms of service URL - `data.attributes.business_timezone` (string) The timezone of the business - `data.attributes.business_website` (string) The business website - `data.attributes.business_zip_code` (string) The business postal code - `data.attributes.category_code` (string) The Merchant Category Code for the business - `data.attributes.created_at` (string) - `data.attributes.entity_type` (string) The entity type - `data.attributes.phone_number` (string) The business phone number - `data.attributes.prior_bankruptcies` (string) Whether the business has had prior bankruptcies - `data.attributes.tax_id_type` (string) The type of tax ID used by the business Enum: "ein", "ssn", "itin" - `data.attributes.updated_at` (string) - `data.id` (string, required) [resource object identifier](https://jsonapi.org/format/#document-resource-object-identification) - `data.links` (object, required) The links of the type - `data.relationships` (object) The relationships of the type - `data.type` (string, required) [resource object type](https://jsonapi.org/format/#document-resource-object-identification) Enum: "merchants" - `jsonapi` (object) An object describing the server's implementation - `jsonapi.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `jsonapi.meta.authors` (array) A list of all the authors of this work - `jsonapi.meta.copyright` (string) - `jsonapi.version` (string) - `links` (object, required) May contain self, related, or pagination links (first, last, prev, next). - `links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. ## Response 422 fields (application/vnd.api+json): - `errors` (array, required) - `errors.code` (string) An application-specific error code, expressed as a string value. - `errors.detail` (string) A human-readable explanation specific to this occurrence of the problem. - `errors.id` (string) A unique identifier for this particular occurrence of the problem. - `errors.links` (object) May contain self, related, or pagination links (first, last, prev, next). - `errors.links.first` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.last` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.next` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.prev` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.related` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.links.self` (any) A link MUST be represented as either: a string containing the link's URL or a link object. - `errors.meta` (object) Non-standard meta-information that can not be represented as an attribute or relationship. - `errors.meta.authors` (array) A list of all the authors of this work - `errors.meta.copyright` (string) - `errors.source` (object) - `errors.source.parameter` (string) A string indicating which query parameter caused the error. - `errors.source.pointer` (string) A JSON Pointer [RFC6901] to the associated entity in the request document [e.g. /data for a primary data object, or /data/attributes/title for a specific attribute]. - `errors.status` (string) The HTTP status code applicable to this problem, expressed as a string value. - `errors.title` (string) A short, human-readable summary of the problem. It SHOULD NOT change from occurrence to occurrence of the problem, except for purposes of localization. - `jsonapi` (object) An object describing the server's implementation - `jsonapi.version` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 406 fields